import numpy as np
import matplotlib.pyplot as plt
import cv2

# generamos unos datos
media = [20, 30]
cov = [ [ 5, 10],
        [10, 25] ] 

x, y = np.random.multivariate_normal( media, cov, 400 ).T

# Calculos el ACP:

X = np.vstack( (x,y) ).T
# mu, eigvec = cv2.PCACompute( X, np.array( [] ) )
mu, eigvec, eigvalues = cv2.PCACompute2( X, np.array( [] ) )
print( mu )
print( eigvec )
print( "Eigenvalores:" )
print( eigvalues )

# Hacemos la gráfica de los datos
fig, ax = plt.subplots( )

ax.plot( x, y, 'o', zorder=1 )
ax.set_xlabel( "Característica 1" )
ax.set_ylabel( "Característica 2" )
ax.set_aspect( 'equal' )
ax.quiver( mu[0,0], mu[0,1], eigvec[:,0], eigvec[:,1], zorder=2, scale=3 )

plt.show( )
